.TH tkxcd n "1996 Sep 29" "John C. Quillan"

.SH NAME
tkxcd tk xcleardiff look-a-like 
.SH SYNOPSIS
.B tkxcd
[ file_old file_new ] |
   [ -rcs file_name version_old version_new ] |
   [ -rcs file_name version_old ]
.SH COPYRIGHT
tkxcd is Copyright (c) 1996 by John C. Quillan
.SH DESCRIPTION
.B tkxcd is a diff front end that has a look and feel similar to that
of Artia Clearcases xcleardiff.  It is written in tcl/tk.
.SH OPTIONS
.TP 7
.BI \-rcs 
use the rcs mode which can diff two versions of a file
or the current version verses a previous version
.SH EXAMPLES
Here are some examples

To diff two text file foo_old.c and foo_new.c

.RS 
tkxcd foo_old.c foo_new.c
.RE

to diff two version of a RCS file foo.c for 1.4 and 1.2

.RS
tkxcd -rcs foo.c 1.2 1.4
.RE

to diff the current version of a RCS file against a old version 1.3

.RS
tkxcd -rcs foo.c 1.3
.RE


.SH AUTHOR
John C. Quillan quillan\@doitnow.com
.PP
http://www.doitnow.com/~quillan

.SH BUGS

.IP 1. 4 
The Previous\_Diff and Next\_Diff buttons do not
keep track of where you manually scroll in the file, so
if you scroll to the bottom of a file with a diff at
the very top, hitting Next\_Diff will return you to the
top of the file.

.IP 2. 4
The implementation of the RCS code is not very good
and could use some improvement.

.IP 3. 4
Will not recognize if two files are identical. ( should be
easy to fix, but just wanted to get this released.)

.IP 4. 4
Does not support any other version control products.

.IP 5. 
Fix bug where clicking on the page or arrow
keys in the scrollbar do not resync the two
sides after the link button has been reactivated.
   
